plugins {
    alias(libs.plugins.flights.android.library)
    alias(libs.plugins.flights.android.library.hilt)
}

android {
    namespace = "dev.adriankuta.flights.model.repository"
}

dependencies {
    implementation(projects.core.util)
    implementation(projects.domain.search)
    implementation(projects.domain.stations)
    implementation(projects.model.data.api)
    implementation(projects.model.datasource.airports)

    implementation(libs.timber)
    implementation(libs.kotlinx.datetime)

    testImplementation(libs.mockk.android)
    testImplementation(libs.kotlinx.coroutines.test)
}
